import type { DeviceCodeCredential } from '@azure/identity';
import type { ITerminal } from '@rushstack/terminal';
import { AzureAuthenticationBase, type ICredentialResult, type IAzureAuthenticationBaseOptions } from './AzureAuthenticationBase';
/**
 * @public
 */
export interface IAzureStorageAuthenticationOptions extends IAzureAuthenticationBaseOptions {
    storageContainerName: string;
    storageAccountName: string;
    isCacheWriteAllowed: boolean;
}
/**
 * @public
 */
export declare class AzureStorageAuthentication extends AzureAuthenticationBase {
    protected readonly _credentialNameForCache: string;
    protected readonly _credentialKindForLogging: string;
    protected readonly _storageAccountName: string;
    protected readonly _storageContainerName: string;
    protected readonly _isCacheWriteAllowedByConfiguration: boolean;
    protected readonly _storageAccountUrl: string;
    constructor(options: IAzureStorageAuthenticationOptions);
    protected _getCacheIdParts(): string[];
    protected _getCredentialFromDeviceCodeAsync(terminal: ITerminal, deviceCodeCredential: DeviceCodeCredential): Promise<ICredentialResult>;
}
//# sourceMappingURL=AzureStorageAuthentication.d.ts.map